configure: check for SDL_Linked_Version instead of SDL_Init
authorLuca Barbato <lu_zero@gentoo.org>
Sat, 19 Mar 2011 14:45:48 +0000 (15:45 +0100)
committerLuca Barbato <lu_zero@gentoo.org>
Sat, 19 Mar 2011 15:39:54 +0000 (16:39 +0100)
This avoids the main/SDL_main declaration clash caused by SDL on
Windows and other platforms.

configure

index 7b89564..59dce95 100755 (executable)
--- a/configure
+++ b/configure
@@ -2886,7 +2886,7 @@ if enabled libdc1394; then
     die "ERROR: No version of libdc1394 found "
 fi
 
-if check_pkg_config sdl SDL.h SDL_Init; then
+if check_pkg_config sdl SDL_version.h SDL_Linked_Version; then
     check_cpp_condition SDL.h "(SDL_MAJOR_VERSION<<16 | SDL_MINOR_VERSION<<8 | SDL_PATCHLEVEL) >= 0x010201" $sdl_cflags &&
     enable sdl &&
     check_struct SDL.h SDL_VideoInfo current_w $sdl_cflags && enable sdl_video_size